#ifndef _DEBUG
#pragma comment( linker, "/subsystem:\"windows\" /entry:\"mainCRTStartup\"" )
#endif // DEBUG

#include "OpenGLController.h"
#include "Object.h"
#include <iostream>
#include <Windows.h>

int main(int argc, char** argv)
{
	//goto openGL;

	try {
		Object obj("..\\Release\\Msh\\cube.msh");
	}
	catch (std::invalid_argument e)
	{
		std::cout << e.what() << std::endl;
	}
	
	system("pause");


	return 0;

openGL:

	OpenGLController *scene = OpenGLController::getInstance();

	scene->loadMsh("test.msh");

	do {
		scene->updateScene();
	} while (!glfwWindowShouldClose(scene->getWindow()));

	delete scene;

	return 0;
}